## voxbo 1.8.5~svn1172

=== Makefile ===

# This is the master makefile for VoxBo and the database project

-include make_vars.txt
include make_stuff.txt

# Here are our targets

COMMANDLINEDIRS=fileformats munge stats crunch stand_alone utils resample gdscript\
                scheduler scripts

ifeq ($(VB_TARGET),spm)
  GUIDIRS= qtglm vbview
  DBDIRS=
else ifeq ($(VB_TARGET),db)
  COMMANDLINEDIRS=
  GUIDIRS=
  DBDIRS=client server dbutil
else
  GUIDIRS=qtglm vbview vbsequence qtvlsm
  DBDIRS=client server dbutil
endif

VOXBODIRS = $(COMMANDLINEDIRS) $(GUIDIRS)
INSTALLDIRS = $(COMMANDLINEDIRS) $(GUIDIRS)
MAKEDIRS = $(VOXBODIRS) $(DBDIRS)
CLEANDIRS = lib vbwidgets $(MAKEDIRS)
OUT=getput qa brainBrowser db_import

# PHONY declaration makes life easier
.PHONY: clean install lib vbwidgets subdirs db nogui voxbo $(VOXBODIRS) $(DBDIRS)

subdirs: lib $(VOXBODIRS) $(DBDIRS)

nogui: $(COMMANDLINEDIRS)

db: $(DBDIRS)

voxbo: $(VOXBODIRS)

# all targets
$(MAKEDIRS): lib
	+make -C $@

# extra dependencies for specific targets
qtglm: lib vbwidgets utils
vbview: lib vbwidgets
client: lib vbwidgets vbview
vbsequence: lib vbwidgets

lib:
	+make -C $@

vbwidgets:
	+make -C $@

install:
	mkdir -p $(VB_BINDIR)
	+for dir in $(INSTALLDIRS) ; do make -C $$dir install ; done

distclean: clean
	rm -f make_vars.txt

clean:
	+for dir in $(CLEANDIRS) ; do make -C $$dir clean ; done

=== brainBrowser/Makefile ===

# makefile for brainbrowser

-include ../make_vars.txt
include ../make_stuff.txt

CXXFLAGS += -DQT3_SUPPORT

OBJECTS=br_util.o main.o myDB.o
HEADERS=br_util.h main.h myDB.h region.h region_relation.h searchBrain.h synonym.h
LIBS =$(LDFLAGS) $(LIBDIRS) $(QTLIBDIRS) $(QTLIBS) -lvbprefs -lvbglm -lvbio -lvbutil -lz $(DLLIB) -lgsl -lgslcblas

ALLBINS=brainBrowser
BINS=brainBrowser

ifdef VB_NOX
  BINS=
endif

all: $(BINS)

install:
ifdef BINS
	cp -Pf $(BINS) $(VB_BINDIR)
else
	@echo "Nothing to install."
endif

clean:
	rm -f $(CLEANME) $(ALLBINS)

# executables

brainBrowser: main.moc.h $(OBJECTS)
	$(CXX) -o brainBrowser $(OBJECTS) $(LIBS)

main.moc.h : $(HEADERS)
	$(MOC) main.h -o main.moc.h

br_util.o: $(HEADERS) br_util.cpp
	$(CXX) -c $(CXXFLAGS) -o br_util.o br_util.cpp

myDB.o: $(HEADERS) myDB.cpp
	$(CXX) -c $(CXXFLAGS) -o myDB.o myDB.cpp

searchBrain: searchBrain.o myDB.o br_util.o
	$(CXX) --whole-archive -o searchBrain searchBrain.o myDB.o br_util.o -ldb_cxx

searchBrain.o: searchBrain.cpp searchBrain.h
	$(CXX) -c -Wall -W -O3 -o searchBrain.o searchBrain.cpp

=== client/Makefile ===

# Makefile for database client

-include ../make_vars.txt
include ../make_stuff.txt

CXXFLAGS += -DQT3_SUPPORT $(QTINCDIRS) -I../vbview

VBVIEW_OBJECTS=../vbview/vbview.o ../vbview/vbview_ts.o ../vbview/vbview_layers.o ../vbview/vbview_render.o ../vbview/vbview_io.o ../vbview/vbqt_masker.o ../vbview/vbqt_canvas.o ../vbview/vbqt_glmselect.o ../vbview/vbqt_scalewidget.o
LIBS=$(LDFLAGS) $(LIBDIRS) $(QTLIBDIRS)  $(VBVIEW_OBJECTS) $(QTLIBS) -lvbprefs -lvbglm -lvbio -lvbutil -lz -lm -lpng -ldl -lgnutls-extra -lgnutls -lgcrypt -lgpg-error -ldbutil -lgsl -lgslcblas -ldb_cxx

W_OBJECTS=dbqscorebox.o dbqlineedit.o dbqimage.o dbqcombo.o dbqtimedate.o dbqtextedit.o dbqstub.o dbview.o dbclient.o dbqbrain.o dbdialogs.o dbmainwindow.o

ALLBINS=rundb

ifeq ($(VB_TARGET),all)
	BINS=rundb
else ifeq ($(VB_TARGET),db)
	BINS=rundb
else
	BINS=
endif

ifdef VB_NOX
  BINS=
endif

all: $(BINS)

install:
	echo "Not yet!"

clean:
	rm -rf $(CLEANME) $(ALLBINS)

# executables

rundb : $(W_OBJECTS) newmain.cpp rsrc.cpp
	$(CXX) $(CXXFLAGS) newmain.cpp rsrc.cpp $(W_OBJECTS) -o rundb $(LIBS)

test : $(W_OBJECTS) test.cpp rsrc.cpp
	$(CXX) $(CXXFLAGS) test.cpp rsrc.cpp $(W_OBJECTS) -o test $(LIBS)

test2 : test2.cpp rsrc.cpp
	$(CXX) $(CXXFLAGS) test2.cpp rsrc.cpp -o test2 $(LIBS)

#LOGIN_OBJS = addUser.o qt_login.o main.o moc_addUser.o moc_qt_login.o
#UIC = /usr/local/qt4/bin/uic
#UI_FILES = ui_qt_login.h ui_addUser.h ui_main.h ui_edit_record.h ui_admin_user.h

#qt_login: $(UI_FILES) $(LOGIN_OBJS) $(W_OBJECTS)
#	$(CXX) -o qt_login $(LOGIN_OBJS) $(W_OBJECTS) $(LIBS)

#connx2srv: connx2srv.o dbclient.o 
#	$(CXX) -o connx2srv connx2srv.o dbclient.o $(LIBDIRS) -lgnutls-extra -lgnutls -lgcrypt -lgpg-error -ldbutil -lvbio -lvbprefs -lvbutil -lgsl -lgslcblas -ldb_cxx -lz -lpthread

# all my pattern rules

%.moc.h : %.h
	$(MOC) $< -o $@

rsrc.cpp : client.qrc
	$(RCC) client.qrc -o rsrc.cpp

dbmainwindow.o : dbmainwindow.cpp dbmainwindow.moc.h
	$(CXX) -c $< $(CXXFLAGS)

dbdialogs.o : dbdialogs.cpp dbdialogs.moc.h
	$(CXX) -c $< $(CXXFLAGS)

dbqlineedit.o : dbqlineedit.cpp dbqlineedit.moc.h dbqscorebox.moc.h
	$(CXX) -c $< $(CXXFLAGS)

dbqimage.o : dbqimage.cpp dbqimage.moc.h dbqscorebox.moc.h
	$(CXX) -c $< $(CXXFLAGS)

dbqbrain.o : dbqbrain.cpp dbqbrain.moc.h dbqscorebox.moc.h
	$(CXX) -c $< $(CXXFLAGS)

dbqtextedit.o : dbqtextedit.cpp dbqtextedit.moc.h dbqscorebox.moc.h
	$(CXX) -c $< $(CXXFLAGS)

dbqcombo.o : dbqcombo.cpp dbqcombo.moc.h dbqscorebox.moc.h
	$(CXX) -c $< $(CXXFLAGS)

dbqscorebox.o : dbqscorebox.cpp dbqscorebox.moc.h
	$(CXX) -c $< $(CXXFLAGS)

dbqstub.o : dbqstub.cpp dbqstub.moc.h dbqscorebox.moc.h
	$(CXX) -c $< $(CXXFLAGS)

dbqtimedate.o : dbqtimedate.cpp dbqtimedate.moc.h dbqscorebox.moc.h
	$(CXX) -c $< $(CXXFLAGS)

dbview.o : dbview.cpp dbview.moc.h
	$(CXX) -c $< $(CXXFLAGS)

# added by Dongbo
#moc_addUser.cpp: ui_addUser.h addUser.h
#	$(MOC) addUser.h -o moc_addUser.cpp

#moc_qt_login.cpp: $(UI_FILES) searchPatient.h addUser.h ui_addUser.h dbclient.h qt_login.h
#	$(MOC) $(DEFINES) $(INCPATH) qt_login.h -o moc_qt_login.cpp

moc_searchPatient.cpp: searchPatient.h
	$(MOC) $(DEFINES) $(INCPATH) searchPatient.h -o moc_searchPatient.cpp

#ui_addUser.h: addUser.ui
#	$(UIC) addUser.ui -o ui_addUser.h

#ui_admin_user.h: admin_user.ui
#	$(UIC) admin_user.ui -o ui_admin_user.h

#ui_qt_login.h: qt_login.ui
#	$(UIC) qt_login.ui -o ui_qt_login.h

#ui_edit_record.h: edit_record.ui
#	$(UIC) edit_record.ui -o ui_edit_record.h

#ui_main.h: main.ui
#	$(UIC) main.ui -o ui_main.h

#addUser.o: addUser.cpp addUser.h ui_addUser.h
#	$(CXX) -c $< $(CXXFLAGS)

#qt_login.o: qt_login.cpp qt_login.h $(UI_FILES) searchPatient.h addUser.h dbclient.h
#	$(CXX) -c $< $(CXXFLAGS)

#main.o: main.cpp qt_login.h $(UI_FILES) searchPatient.h addUser.h dbclient.h
#	$(CXX) -c $< $(CXXFLAGS)

searchPatient.o: searchPatient.cpp searchPatient.h
	$(CXX) -c $< $(CXXFLAGS)

dbclient.o: dbclient.cpp dbclient.h
	$(CXX) -c $< $(CXXFLAGS)

#moc_addUser.o: moc_addUser.cpp 
#	$(CXX) -c $< $(CXXFLAGS)

#moc_qt_login.o: moc_qt_login.cpp 
#	$(CXX) -c $< $(CXXFLAGS)

moc_searchPatient.o: moc_searchPatient.cpp 
	$(CXX) -c $< $(CXXFLAGS)

#connx2srv.o: connx2srv.cpp
#	$(CXX) -c $< $(CXXFLAGS)

=== dbutil/Makefile ===

# Makefile in util directory

-include ../make_vars.txt
include ../make_stuff.txt

LIBS=$(LDFLAGS) $(LIBDIRS) -lm -ldbutil -lgnutls -lgnutls-extra -lgcrypt -lgpg-error -ldb_cxx -lvbprefs -lvbglm -lvbio -lvbutil -lgsl -lgslcblas -lz -lpng -ldl -lpthread

ALLBINS=initDB initScoreValues
ifeq ($(VB_TARGET),all)
	BINS=$(ALLBINS)
else ifeq ($(VB_TARGET),db)
	BINS=$(ALLBINS)
else
	BINS=
endif

# main targets

all: $(BINS)

install:
ifdef BINS
	cp -Pf $(BINS) $(VB_BINDIR)
else
	@echo "Nothing to install."
endif

clean:
	rm -f $(CLEANME) $(ALLBINS)

initScoreNames: initScoreNames.o 
	$(CXX) -o initScoreNames initScoreNames.o $(LIBS)

initScoreValues: initScoreValues.o 
	$(CXX) -o initScoreValues initScoreValues.o $(LIBS)

initPerm: initPerm.o 
	$(CXX) -o initPerm initPerm.o $(LIBS)

showScoreNames: showScoreNames.o
	$(CXX) -o showScoreNames showScoreNames.o $(LIBS)

showPerm: showPerm.o
	$(CXX) -o showPerm showPerm.o $(LIBS)

showSessions: showSessions.o
	$(CXX) -o showSessions showSessions.o $(LIBS)

showScoreValues: showScoreValues.o
	$(CXX) -o showScoreValues showScoreValues.o $(LIBS)

showPatientScores: showPatientScores.o
	$(CXX) -o showPatientScores showPatientScores.o $(LIBS)

showUsers: showUsers.o
	$(CXX) -o showUsers showUsers.o $(LIBS)

showSystem: showSystem.o
	$(CXX) -o showSystem showSystem.o $(LIBS)

showRegionNames: showRegionNames.o
	$(CXX) -o showRegionNames showRegionNames.o $(LIBS)

showSynonyms: showSynonyms.o
	$(CXX) -o showSynonyms showSynonyms.o $(LIBS)

showRegionRelations: showRegionRelations.o
	$(CXX) -o showRegionRelations showRegionRelations.o $(LIBS)

showPatients: showPatients.o
	$(CXX) -o showPatients showPatients.o $(LIBS)

delRecord: delRecord.o 
	g++ -o delRecord delRecord.o $(LIBS)

cpDB:	cpDB.o 
	$(CXX) -o cpDB cpDB.o $(LIBS)

mvDB:	mvDB.o 
	$(CXX) -o mvDB mvDB.o $(LIBS)

addPerm: addPerm.o 
	$(CXX) -o addPerm addPerm.o $(LIBS)

delPerm: delPerm.o 
	$(CXX) -o delPerm delPerm.o $(LIBS)

resetEnv: resetEnv.o
	$(CXX) -o resetEnv resetEnv.o $(LIBS)

addPatientList: addPatientList.o
	$(CXX) -o addPatientList addPatientList.o $(LIBS)

showPatientList: showPatientList.o
	$(CXX) -o showPatientList showPatientList.o $(LIBS)

resetSystem: resetSystem.o
	$(CXX) -o resetSystem resetSystem.o $(LIBS)

initSystem: initSystem.o
	$(CXX) -o initSystem initSystem.o $(LIBS)

initDB:	initDB.o 
	$(CXX) -o initDB initDB.o $(LIBS)

# object file generation
initScoreNames.o: initScoreNames.cpp
	$(CXX) -c initScoreNames.cpp $(CXXFLAGS) 

initScoreValues.o: initScoreValues.cpp
	$(CXX) -c initScoreValues.cpp $(CXXFLAGS) 	

initPerm.o: initPerm.cpp
	$(CXX) -c initPerm.cpp $(CXXFLAGS) 

showScoreNames.o: showScoreNames.cpp
	$(CXX) -c showScoreNames.cpp $(CXXFLAGS) 

showPerm.o: showPerm.cpp
	$(CXX) -c showPerm.cpp $(CXXFLAGS) 

showSessions.o: showSessions.cpp
	$(CXX) -c showSessions.cpp $(CXXFLAGS) 

showScoreValues.o: showScoreValues.cpp
	$(CXX) -c showScoreValues.cpp $(CXXFLAGS) 

showPatientScores.o: showPatientScores.cpp
	$(CXX) -c showPatientScores.cpp $(CXXFLAGS) 

showUsers.o: showUsers.cpp
	$(CXX) -c showUsers.cpp $(CXXFLAGS) 

showSystem.o: showSystem.cpp
	$(CXX) -c showSystem.cpp $(CXXFLAGS)
 
resetSystem.o: resetSystem.cpp
	$(CXX) -c resetSystem.cpp $(CXXFLAGS) 

initSystem.o: initSystem.cpp
	$(CXX) -c initSystem.cpp $(CXXFLAGS) 

showRegionNames.o: showRegionNames.cpp
	$(CXX) -c showRegionNames.cpp $(CXXFLAGS) 

showSynonyms.o: showSynonyms.cpp
	$(CXX) -c showSynonyms.cpp $(CXXFLAGS) 

showRegionRelations.o: showRegionRelations.cpp
	$(CXX) -c showRegionRelations.cpp $(CXXFLAGS) 

showPatients.o: showPatients.cpp
	$(CXX) -c showPatients.cpp $(CXXFLAGS) 

initDB.o: initDB.cpp
	g++ -c initDB.cpp $(CXXFLAGS) 

delRecord.o: delRecord.cpp
	g++ -c delRecord.cpp

cpDB.o: cpDB.cpp
	g++ -c cpDB.cpp

mvDB.o: mvDB.cpp
	g++ -c mvDB.cpp

addPerm.o: addPerm.cpp
	g++ -c addPerm.cpp

delPerm.o: delPerm.cpp
	g++ -c delPerm.cpp

resetEnv.o: resetEnv.cpp
	g++ -c resetEnv.cpp

addPatientList.o: addPatientList.cpp
	g++ -c addPatientList.cpp $(CXXFLAGS)
 
showPatientList.o: showPatientList.cpp
	g++ -c showPatientList.cpp $(CXXFLAGS)

=== fileformats/Makefile ===

# Makefile for fileformats

-include ../make_vars.txt
include ../make_stuff.txt

SHAREDFLAG=-shared

LIBS=$(LDFLAGS) $(LIBDIRS) -lvbio -lvbutil -lvbprefs -lz -lpng -lgsl -lgslcblas

ALLBINS=dcmsplit dicominfo ffinfo vbrename analyzeinfo niftiinfo
BINS=$(ALLBINS)

# built-in types are not built here by default

all: $(BINS)

install:
ifdef BINS
	cp -Pf $(BINS) $(VB_BINDIR)
else
	@echo "Nothing to install."
endif

clean:
	rm -f $(CLEANME) $(ALLBINS)

# rule to build the libvoxbo libraries

$(VBLIBS):
	+make -C ../lib $@

%.hlp.h : %.hlp
	$(VBRC) $@ -myhelp $<

ffinfo: ffinfo.cpp $(VBLIBS)
	$(CXX) ffinfo.cpp $(DLLIB) -o ffinfo $(LIBS) $(CXXFLAGS)

dicominfo: dicominfo.cpp $(VBLIBS)
	$(CXX) dicominfo.cpp -o dicominfo $(LIBS) $(CXXFLAGS)

analyzeinfo: analyzeinfo.cpp $(VBLIBS)
	$(CXX) analyzeinfo.cpp -o analyzeinfo $(LIBS) $(CXXFLAGS)

niftiinfo: analyzeinfo
	ln -s ./analyzeinfo niftiinfo

vbrename: vbrename.cpp $(VBLIBS)
	$(CXX) vbrename.cpp -o vbrename $(LIBS) $(CXXFLAGS)

dcmsplit: dcmsplit.cpp dcmsplit.hlp.h $(VBLIBS)
	$(CXX) dcmsplit.cpp -o dcmsplit $(LIBS) $(CXXFLAGS)

# types

ff_cub.o: ff_cub.cpp $(VBLIBS)
	$(CXX) $(SHAREDFLAG) ff_cub.cpp -o ff_cub.o $(CXXFLAGS)

ff_tes.o: ff_tes.cpp $(VBLIBS)
	$(CXX) $(SHAREDFLAG) ff_tes.cpp -o ff_tes.o $(CXXFLAGS)

ff_ref.o: ff_ref.cpp $(VBLIBS)
	$(CXX) $(SHAREDFLAG) ff_ref.cpp -o ff_ref.o $(CXXFLAGS)

ff_ge.o: ff_ge.cpp $(VBLIBS)
	$(CXX) $(SHAREDFLAG) ff_ge.cpp -o ff_ge.o $(CXXFLAGS)

ff_dicom3d.o: ff_dicom3d.cpp dicom.o $(VBLIBS)
	$(CXX) $(SHAREDFLAG) ff_dicom3d.cpp -o ff_dicom3d.o dicom.o $(CXXFLAGS) # -z muldefs

ff_dicom4d.o: ff_dicom4d.cpp dicom.o $(VBLIBS)
	$(CXX) $(SHAREDFLAG) ff_dicom4d.cpp -o ff_dicom4d.o dicom.o $(CXXFLAGS)

ff_analyze3d.o: ff_analyze3d.cpp analyze.o $(VBLIBS)
	$(CXX) $(SHAREDFLAG) ff_analyze3d.cpp -o ff_analyze3d.o analyze.o $(CXXFLAGS)

ff_analyze4d.o: ff_analyze4d.cpp analyze.o $(VBLIBS)
	$(CXX) $(SHAREDFLAG) ff_analyze4d.cpp -o ff_analyze4d.o analyze.o $(CXXFLAGS)

ff_nifti3d.o: ff_nifti3d.cpp nifti.o $(VBLIBS)
	$(CXX) $(SHAREDFLAG) ff_nifti3d.cpp -o ff_nifti3d.o nifti.o $(CXXFLAGS)

ff_nifti4d.o: ff_nifti4d.cpp nifti.o $(VBLIBS)
	$(CXX) $(SHAREDFLAG) ff_nifti4d.cpp -o ff_nifti4d.o nifti.o $(CXXFLAGS)

ff_da.o: ff_da.cpp $(VBLIBS)
	$(CXX) $(SHAREDFLAG) ff_da.cpp -o ff_da.o $(CXXFLAGS)

ff_vmp3d.o: ff_vmp3d.cpp $(VBLIBS)
	$(CXX) $(SHAREDFLAG) ff_vmp3d.cpp -o ff_vmp3d.o $(CXXFLAGS)

ff_xxx.o: ff_xxx.cpp $(VBLIBS)
	$(CXX) $(SHAREDFLAG) ff_xxx.cpp -o ff_xxx.o $(CXXFLAGS)

# support for types

dicom.o: dicom.cpp dicom.h
	$(CXX) -c dicom.cpp $(CXXFLAGS)

analyze.o: analyze.cpp analyze.h
	$(CXX) -c analyze.cpp $(CXXFLAGS)

nifti.o: nifti.cpp nifti.h nifti11_ref.h
	$(CXX) -c nifti.cpp $(CXXFLAGS)

=== lib/Makefile ===

# Makefile for libvoxbo

-include ../make_vars.txt
include ../make_stuff.txt

CXXFLAGS+=$(PICFLAG)

LIBS =$(LIBDIRS) $(LIBPATHS) -lm -lvbprefs -lvbio -lvbutil -lz $(DLLIB) $(GSL_LIBS)
IOOBJECTS=vbio.o tes.o cube.o imageutils.o mat.o vec.o png.o vb_vector.o\
          filecheck.o vbpreplib.o
FFOBJECTS=vbff.o ff_cub.o ff_tes.o ff_ref.o ff_dicom3d.o ff_dicom4d.o dicom.o\
          ff_img3d.o ff_img4d.o ff_imgdir.o\
          ff_nifti3d.o ff_nifti4d.o nifti.o\
          ff_roi.o analyze.o ff_ge.o ff_vmp3d.o
UTILOBJECTS=vbutil.o endian.o connect.o tokenlist.o vbreports.o stringtokenizer.o\
            genericexcep.o
SCRIPTOBJECTS=vbscripttools.o vbsequence.o vbdataset.o vbexecdef.o
VBPOBJECTS=vbjobspec.o vbprefs.o vbhost.o vbx.o
GLMOBJECTS=makestatcub.o glmutil.o glm_stats.o statthreshold.o regress1.o trialavg.o stats.o
DBOBJECTS=db_util.o dbdata.o myDB.o mydefs.o dbdate.o bdb_tab.o

ifdef VB_SHARED
  EXT=so
else
  EXT=a
endif

TARGETS=libvbutil.$(EXT) libvbprefs.$(EXT) libvbio.$(EXT) libvbglm.$(EXT)

ifneq ($(VB_TARGET),spm)
	TARGETS+=libdbutil.$(EXT)
endif

#ifdef VB_SHARED
#  TARGETS=libvbutil.so libvbprefs.so libvbio.so libvbglm.so libdbutil.so libdbutil.so
#else
#  TARGETS=libvbutil.a libvbprefs.a libvbio.a libvbglm.a libdbutil.a libdbutil.a
#endif

all: $(TARGETS)

clean:
	rm -f $(CLEANME) test

install: $(TARGETS)
ifdef VB_SHARED
	cp -Pf $(TARGETS) $(VB_LIBDIR)
else
	@echo "Nothing to install here"
endif

# the below can probably be made generic, but i'm too chicken to mess with it
# using $^ means the prereqs must be the objects

libvbio.a: $(IOOBJECTS) $(FFOBJECTS)
	ar rc libvbio.a $^
	ranlib libvbio.a

libvbio.so: $(IOOBJECTS) $(FFOBJECTS) libvbprefs.so libvbutil.so
	g++ -shared -Wl,-soname,$@ -o $@ $(LDFLAGS) -L. -lc -lz -lgsl -lpng -lvbprefs -lvbutil $^

libvbutil.a: $(UTILOBJECTS)
	ar rc libvbutil.a $^
	ranlib libvbutil.a

libvbutil.so: $(UTILOBJECTS)
	g++ -shared -Wl,-soname,$@ -o $@ $(LDFLAGS) -lc -lz $^

libvbprefs.a: $(VBPOBJECTS)
	ar rc libvbprefs.a $^
	ranlib libvbprefs.a

libvbprefs.so: $(VBPOBJECTS) libvbutil.so
	g++ -shared -Wl,-soname,$@ -o $@ $(LDFLAGS) -L. -lc -lvbutil $^

libvbscripts.a: $(SCRIPTOBJECTS)
	ar rc libvbscripts.a $^
	ranlib libvbscripts.a

libvbscripts.so: $(SCRIPTOBJECTS)
	g++ -shared -Wl,-soname,$@ -o $@ $(LDFLAGS) -lc $^

libvbglm.a: $(GLMOBJECTS)
	ar rc libvbglm.a $^
	ranlib libvbglm.a

libvbglm.so: $(GLMOBJECTS) libvbio.so libvbutil.so
	g++ -shared -Wl,-soname,$@ -o $@ $(LDFLAGS) -L. -lc -lgsl -lvbio -lvbutil $^

libdbutil.a: $(DBOBJECTS)
	ar rc libdbutil.a $^
	ranlib libdbutil.a

libdbutil.so: $(DBOBJECTS) libvbio.so libvbutil.so
	g++ -shared -Wl,-soname,$@ -o $@ $(LDFLAGS) -L. -lc -lvbio -lvbutil $^

# and now for the building blocks

vbscripttools.o: vbscripttools.cpp vbscripttools.h
	$(CXX) $(CXXFLAGS) -c vbscripttools.cpp

vbexecdef.o: vbexecdef.cpp vbexecdef.h vbscripttools.h vbsequence.h
	$(CXX) $(CXXFLAGS) -c vbexecdef.cpp

vbsequence.o: vbsequence.cpp vbsequence.h vbexecdef.h vbscripttools.h
	$(CXX) $(CXXFLAGS) -c vbsequence.cpp

vbdataset.o: vbdataset.cpp vbdataset.h vbscripttools.h
	$(CXX) $(CXXFLAGS) -c vbdataset.cpp

vbutil.o: vbutil.cpp vbutil.h
	$(CXX) $(CXXFLAGS) -c vbutil.cpp

tokenlist.o: tokenlist.cpp tokenlist.h
	$(CXX) $(CXXFLAGS) -c tokenlist.cpp

stringtokenizer.o: stringtokenizer.cpp stringtokenizer.h
	$(CXX) $(CXXFLAGS) -c stringtokenizer.cpp

genericexcep.o: genericexcep.cpp genericexcep.h
	$(CXX) $(CXXFLAGS) -c genericexcep.cpp

endian.o: endian.cpp vbutil.h
	$(CXX) $(CXXFLAGS) -c endian.cpp

connect.o: connect.cpp vbutil.h
	$(CXX) $(CXXFLAGS) -c connect.cpp

vbjobspec.o: vbjobspec.cpp vbjobspec.h vbutil.h
	$(CXX) $(CXXFLAGS) -c vbjobspec.cpp

vbprefs.o: vbprefs.cpp vbprefs.h vbutil.h
	$(CXX) $(CXXFLAGS) -c vbprefs.cpp

vbhost.o: vbhost.cpp vbprefs.h vbutil.h
	$(CXX) $(CXXFLAGS) -c vbhost.cpp

vbx.o: vbx.cpp vbx.h
	$(CXX) $(CXXFLAGS) -c vbx.cpp

vbreports.o: vbreports.cpp vbprefs.h vbutil.h
	$(CXX) $(CXXFLAGS) -c vbreports.cpp

vbpreplib.o: vbpreplib.cpp vbpreplib.h vbprefs.h vbutil.h
	$(CXX) $(CXXFLAGS) -c vbpreplib.cpp

makestatcub.o: makestatcub.cpp makestatcub.h
	$(CXX) $(CXXFLAGS) -c makestatcub.cpp

glmutil.o: glmutil.cpp glmutil.h
	$(CXX) $(CXXFLAGS) -c glmutil.cpp

stats.o: stats.cpp stats.h vbutil.h
	$(CXX) $(CXXFLAGS) -c stats.cpp

glm_stats.o: glm_stats.cpp glmutil.h
	$(CXX) $(CXXFLAGS) -c glm_stats.cpp

regress1.o: regress1.cpp regress1.h
	$(CXX) $(CXXFLAGS) -c regress1.cpp

statthreshold.o: statthreshold.cpp 
	$(CXX) $(CXXFLAGS) -c statthreshold.cpp

trialavg.o: trialavg.cpp
	$(CXX) $(CXXFLAGS) -c trialavg.cpp

# vbff and the build-in fileformats

vbff.o: vbff.cpp vbio.h vbutil.h
	$(CXX) $(CXXFLAGS) -c vbff.cpp

ff_cub.o: ff_cub.cpp
	$(CXX) $(CXXFLAGS) -c ff_cub.cpp

ff_tes.o: ff_tes.cpp
	$(CXX) $(CXXFLAGS) -c ff_tes.cpp

ff_ref.o: ff_ref.cpp
	$(CXX) $(CXXFLAGS) -c ff_ref.cpp

ff_dicom3d.o: ff_dicom3d.cpp dicom.h dicom.o
	$(CXX) $(CXXFLAGS) -c ff_dicom3d.cpp

ff_dicom4d.o: ff_dicom4d.cpp dicom.h dicom.o
	$(CXX) $(CXXFLAGS) -c ff_dicom4d.cpp

ff_nifti3d.o: ff_nifti3d.cpp nifti.h nifti.o nifti11_ref.h
	$(CXX) $(CXXFLAGS) -c ff_nifti3d.cpp

ff_nifti4d.o: ff_nifti4d.cpp nifti.h nifti.o nifti11_ref.h
	$(CXX) $(CXXFLAGS) -c ff_nifti4d.cpp

ff_img3d.o: ff_img3d.cpp analyze.h analyze.o
	$(CXX) $(CXXFLAGS) -c ff_img3d.cpp

ff_img4d.o: ff_img4d.cpp analyze.h analyze.o
	$(CXX) $(CXXFLAGS) -c ff_img4d.cpp

ff_imgdir.o: ff_imgdir.cpp analyze.h analyze.o
	$(CXX) $(CXXFLAGS) -c ff_imgdir.cpp

ff_roi.o: ff_roi.cpp
	$(CXX) $(CXXFLAGS) -c ff_roi.cpp

ff_ge.o: ff_ge.cpp
	$(CXX) $(CXXFLAGS) -c ff_ge.cpp

ff_vmp3d.o: ff_vmp3d.cpp
	$(CXX) $(CXXFLAGS) -c ff_vmp3d.cpp

# db stuff

myDB.o: myDB.h myDB.cpp
	$(CXX) $(CXXFLAGS) -c myDB.cpp

dbdate.o: dbdate.h dbdate.cpp
	$(CXX) $(CXXFLAGS) -c dbdate.cpp

bdb_tab.o: bdb_tab.h bdb_tab.cpp
	$(CXX) $(CXXFLAGS) -c bdb_tab.cpp	

mydefs.o: mydefs.h mydefs.cpp
	$(CXX) $(CXXFLAGS) -c mydefs.cpp

db_util.o: db_util.h db_util.cpp
	$(CXX) $(CXXFLAGS) -c db_util.cpp

dbdata.o: dbdata.h dbdata.cpp
	$(CXX) $(CXXFLAGS) -c dbdata.cpp

# rule that should be good for most of our .o files

%.o : %.cpp vbio.h vbutil.h vb_vector.h
	$(CXX) $(CXXFLAGS) -c $<

# test program

test:	libvbio.a test.cpp libvbprefs.a libvbglm.a libdbutil.a
	$(CXX) $(CXXFLAGS) -o test test.cpp $(LIBS)

=== munge/Makefile ===

# Makefile for munging functions

-include ../make_vars.txt
include ../make_stuff.txt

VBLIBS=$(VBLIBS2)

# miscellaneous flags and such

LIBS =$(LDFLAGS) $(LIBDIRS) $(LIBPATHS) -lvbprefs -lvbio -lvbutil -lz -lpng $(DLLIB) $(GSL_LIBS)

CONVERTERS=tes2cub vb2cub vb2img vb2imgs vb2tes vb2vmp vbconv
MUNGERS=vbmunge vbcmp vbshift vbsmooth vbmaskmunge vecsplit vbinterpolate
DESIGNERS=vbprep vbbatch
STATTERS=sumrfx calcperf
MISC=cub2pngs setorigin fillmask vbhdr vbsim vbregion vborient
MISC+=vbts vbthreshcalc vbi vbmerge4d vbvec2hdr vbse vbmaskinfo
MISC+=vboverlap vbimagemunge vbim vbfilter vbmaskcompare
XXOUT=vbmakerfx extractmask

# the main targets

ALLBINS=$(CONVERTERS) $(MUNGERS) $(DESIGNERS) $(STATTERS) $(MISC)

ifeq ($(VB_TARGET),spm)
	BINS=$(CONVERTERS) $(MUNGERS) $(MISC)
else ifeq ($(VB_TARGET),vlsm)
	BINS=vbbatch
else ifeq ($(VB_TARGET),all)
	BINS=$(ALLBINS)
else
	BINS=
endif

all: $(BINS)

install:
ifdef BINS
	cp -Pf $(BINS) $(VB_BINDIR)
else
	@echo "Nothing to install."
endif

clean:
	rm -f $(CLEANME) $(ALLBINS)

# rule to build the libvoxbo libraries

$(VBLIBS):
	+make -C ../lib $@

%.hlp.h : %.hlp
	$(VBRC) $@ -myhelp $<

vbprep.hlp.h : vbpsample.hlp
	$(VBRC) $@ vbpsample vbpsample.hlp -myhelp vbprep.hlp

vbim.hlp.h : vbim.hlp vbim_examples.hlp
	$(VBRC) $@ -myhelp vbim.hlp -myhelp_examples vbim_examples.hlp

# THE EXECUTABLES

vbmunge: vbmunge.cpp vbmunge.hlp.h $(VBLIBS)
	$(CXX) -o vbmunge vbmunge.cpp $(LIBS) $(CXXFLAGS)

fillmask: fillmask.cpp fillmask.hlp.h $(VBLIBS)
	$(CXX) -o fillmask fillmask.cpp $(LIBS) $(CXXFLAGS)

vbi: vbi.cpp vbi.hlp.h $(VBLIBS)
	$(CXX) -o vbi vbi.cpp $(LIBS) $(CXXFLAGS)

vbconv: vbconv.cpp vbconv.hlp.h $(VBLIBS)
	$(CXX) -o vbconv vbconv.cpp $(LIBS) $(CXXFLAGS)

tes2cub: tes2cub.cpp tes2cub.hlp.h $(VBLIBS)
	$(CXX) -o tes2cub tes2cub.cpp $(LIBS) $(CXXFLAGS)

vb2cub: vb2cub.cpp vb2cub.hlp.h $(VBLIBS)
	$(CXX) -o vb2cub vb2cub.cpp $(LIBS) $(CXXFLAGS)

vb2img: vb2img.cpp vb2img.hlp.h $(VBLIBS)
	$(CXX) -o vb2img vb2img.cpp $(LIBS) $(CXXFLAGS)

vb2imgs: vb2imgs.cpp vb2imgs.hlp.h $(VBLIBS)
	$(CXX) -o vb2imgs vb2imgs.cpp $(LIBS) $(CXXFLAGS)

vb2tes: vb2tes.cpp vb2tes.hlp.h $(VBLIBS)
	$(CXX) -o vb2tes vb2tes.cpp $(LIBS) $(CXXFLAGS)

vbmerge4d: vbmerge4d.cpp vbmerge4d.hlp.h $(VBLIBS)
	$(CXX) -o vbmerge4d vbmerge4d.cpp $(LIBS) $(CXXFLAGS)

vb2vmp: vb2vmp.cpp vb2vmp.hlp.h $(VBLIBS)
	$(CXX) -o vb2vmp vb2vmp.cpp $(LIBS) $(CXXFLAGS)

vbcmp: vbcmp.cpp vbcmp.hlp.h $(VBLIBS)
	$(CXX) -o vbcmp vbcmp.cpp $(LIBS) $(CXXFLAGS)

cub2pngs: cub2pngs.cpp cub2pngs.hlp.h $(VBLIBS)
	$(CXX) -o cub2pngs cub2pngs.cpp $(LIBS) -lpng -lz $(CXXFLAGS)

setorigin: setorigin.cpp setorigin.hlp.h $(VBLIBS)
	$(CXX) -o setorigin setorigin.cpp $(LIBS) $(CXXFLAGS)

extractmask: extractmask.cpp extractmask.hlp.h $(VBLIBS)
	$(CXX) -o extractmask extractmask.cpp $(LIBS) $(CXXFLAGS)

vbinterpolate: vbinterpolate.cpp vbinterpolate.hlp.h $(VBLIBS)
	$(CXX) -o vbinterpolate vbinterpolate.cpp $(LIBS) $(CXXFLAGS)

sumrfx: sumrfx.cpp sumrfx.hlp.h $(VBLIBS)
	$(CXX) -o sumrfx sumrfx.cpp $(LIBS) $(CXXFLAGS)

calcperf: calcperf.cpp calcperf.hlp.h $(VBLIBS)
	$(CXX) -o calcperf calcperf.cpp $(LIBS) $(CXXFLAGS)

vbmakerfx: vbmakerfx.cpp vbmakerfx.hlp.h $(VBLIBS)
	$(CXX) -o vbmakerfx vbmakerfx.cpp $(LIBS) $(CXXFLAGS)

vbbatch: vbbatch.cpp vbbatch.hlp.h $(VBLIBS)
	$(CXX) -o vbbatch vbbatch.cpp $(LIBS) $(CXXFLAGS)

vbhdr: vbhdr.cpp vbhdr.hlp.h $(VBLIBS)
	$(CXX) -o vbhdr vbhdr.cpp $(LIBS) $(CXXFLAGS)

vbperminfo: vbperminfo.cpp vbperminfo.hlp.h $(VBLIBS)
	$(CXX) -o vbperminfo vbperminfo.cpp $(LIBS) $(CXXFLAGS)

vbregion: vbregion.cpp vbregion.hlp.h $(VBLIBS)
	$(CXX) -o vbregion vbregion.cpp $(LIBS) $(CXXFLAGS)

vbshift: vbshift.cpp vbshift.hlp.h $(VBLIBS)
	$(CXX) -o vbshift vbshift.cpp $(LIBS) $(CXXFLAGS)

vbsmooth: vbsmooth.cpp vbsmooth.hlp.h $(VBLIBS)
	$(CXX) -o vbsmooth vbsmooth.cpp $(LIBS) $(CXXFLAGS)

vbsim: vbsim.cpp vbsim.hlp.h $(VBLIBS)
	$(CXX) -o vbsim vbsim.cpp $(LIBS) $(CXXFLAGS)

vborient: vborient.cpp vborient.hlp.h $(VBLIBS)
	$(CXX) -o vborient vborient.cpp $(LIBS) $(CXXFLAGS)

vbmaskmunge: vbmaskmunge.cpp vbmaskmunge.hlp.h $(VBLIBS)
	$(CXX) -o vbmaskmunge vbmaskmunge.cpp $(LIBS) $(CXXFLAGS)

vbimagemunge: vbimagemunge.cpp vbimagemunge.hlp.h $(VBLIBS)
	$(CXX) -o vbimagemunge vbimagemunge.cpp $(LIBS) $(CXXFLAGS)

vbim: vbim.cpp vbim.hlp.h $(VBLIBS)
	$(CXX) -o vbim vbim.cpp $(LIBS) $(CXXFLAGS)

vbfilter: vbfilter.cpp vbfilter.hlp.h $(VBLIBS)
	$(CXX) -o vbfilter vbfilter.cpp $(LIBS) $(CXXFLAGS)

vbmaskcompare: vbmaskcompare.cpp vbmaskcompare.hlp.h $(VBLIBS)
	$(CXX) -o vbmaskcompare vbmaskcompare.cpp $(LIBS) $(CXXFLAGS)

vbmaskinfo: vbmaskinfo.cpp vbmaskinfo.hlp.h $(VBLIBS)
	$(CXX) -o vbmaskinfo vbmaskinfo.cpp $(LIBS) $(CXXFLAGS)

vboverlap: vboverlap.cpp vboverlap.hlp.h $(VBLIBS)
	$(CXX) -o vboverlap vboverlap.cpp $(LIBS) $(CXXFLAGS)

vbprep: vbprep.cpp vbprep.hlp.h $(VBLIBS)
	$(CXX) -o vbprep vbprep.cpp $(LIBS) $(CXXFLAGS)

vbts: vbts.cpp vbts.hlp.h $(VBLIBS)
	$(CXX) -o vbts vbts.cpp $(LIBS) $(CXXFLAGS)

vbse: vbse.cpp vbse.hlp.h $(VBLIBS)
	$(CXX) -o vbse vbse.cpp $(LIBS) $(CXXFLAGS)

vbvec2hdr: vbvec2hdr.cpp vbvec2hdr.hlp.h $(VBLIBS)
	$(CXX) -o vbvec2hdr vbvec2hdr.cpp $(LIBS) $(CXXFLAGS)

vecsplit: vecsplit.cpp vecsplit.hlp.h $(VBLIBS)
	$(CXX) -o vecsplit vecsplit.cpp $(LIBS) $(CXXFLAGS)

vbthreshcalc: vbthreshcalc.cpp vbthreshcalc.hlp.h $(VBLIBS)
	$(CXX) -o vbthreshcalc vbthreshcalc.cpp -lvbglm $(LIBS) $(CXXFLAGS)

test: test.cpp $(VBLIBS)
	$(CXX) -o test test.cpp $(LIBS) $(CXXFLAGS)

=== qtglm/Makefile ===

# Makefile for building: glm, gdw, vecview

-include ../make_vars.txt
include ../make_stuff.txt

CXXFLAGS += -DQT3_SUPPORT $(QTINCDIRS) -I../utils

PERM_EX=../stand_alone/perm.o ../stand_alone/utils.o ../stand_alone/time_series_avg.o
GDW_EX=../utils/fitOneOverF.o

# define object variables
GLM_OBJECTS=glm_main.o glm.o gdw.o gheaderinfo.o block.o paired.o glm_tab3.o
GLM_OBJMOC = moc_glm.o moc_gdw.o moc_block.o moc_paired.o moc_glm_tab3.o
GDW_OBJECTS=gdw_main.o gdw.o gheaderinfo.o block.o paired.o
GDW_OBJMOC = moc_gdw.o moc_block.o moc_paired.o
VECVIEW_OBJECTS = vecview.o
VECVIEW_OBJMOC = moc_vecview.o
TCALC_OBJECTS= tcalc.o tcalcmain.o moc_tcalc.o
TCALC_OBJMOC = moc_tcalc.o
PERMGEN_OBJECTS= permgen.o permgenmain.o moc_permgen.o
PERMGEN_OBJMOC = moc_permgen.o

# miscellaneous flags and such
LIBS=$(LDFLAGS) $(LIBDIRS) $(QTLIBDIRS) $(QTLIBS) -lz -lvbglm -lvbprefs -lvbio -lvbutil -lz $(GSL_LIBS) $(DLLIB)

ALLBINS= glm gdw vecview vbpermgen vbtcalc
OSXTRA=glm.app glm.dmg gdw.app gdw.dmg vecview.app vecview.dmg vbpermgen.app vbpermgen.dmg vbtcalc.app vbtcalc.dmg

ifeq ($(ARCH),DARWIN)
  ALLBINS+=$(OSXTRA)
endif

ifeq ($(VB_TARGET),all)
	BINS=$(ALLBINS)
else ifeq ($(VB_TARGET),spm)
	BINS=$(ALLBINS)
else
	BINS=
endif

ifdef VB_NOX
  BINS=
endif

# the main targets
all: $(BINS)

install: $(BINS)
ifdef BINS
	cp -Pf $(BINS) $(VB_BINDIR)
else
	@echo "Nothing to install."
endif

clean:
	rm -rf $(CLEANME) $(ALLBINS)

$(VBLIBS):
	+make -C ../lib $@

glm: $(GLM_OBJECTS) $(GLM_OBJMOC) $(VBLIBS) $(GDW_EX)
	$(CXX) -o glm $(GLM_OBJECTS) $(GLM_OBJMOC) $(GDW_EX) $(LIBS)

glm.app: glm
	mkdir -p glm.app/Contents/MacOS
	echo "APPL????" > glm.app/Contents/PkgInfo
	cp glm glm.app/Contents/MacOS

glm.dmg: glm glm.app/Contents/PkgInfo
	@rm -f glm.dmg
	hdiutil create -fs HFS+ -volname glm -srcfolder glm.app glm.dmg

gdw: $(GDW_OBJECTS) $(GDW_OBJMOC) $(VBLIBS) $(GDW_EX)
	$(CXX) -o gdw $(GDW_OBJECTS) $(GDW_OBJMOC) $(GDW_EX) $(LIBS)

gdw.app: gdw
	mkdir -p gdw.app/Contents/MacOS
	echo "APPL????" > gdw.app/Contents/PkgInfo
	cp gdw gdw.app/Contents/MacOS

gdw.dmg: gdw gdw.app/Contents/PkgInfo
	@rm -f gdw.dmg
	hdiutil create -fs HFS+ -volname gdw -srcfolder gdw.app gdw.dmg

vecview: $(VECVIEW_OBJECTS) $(VECVIEW_OBJMOC) $(VBLIBS) $(GDW_EX)
	$(CXX) -o vecview $(VECVIEW_OBJECTS) $(VECVIEW_OBJMOC) $(GDW_EX) $(LIBS)

vecview.app: vecview
	mkdir -p vecview.app/Contents/MacOS
	echo "APPL????" > vecview.app/Contents/PkgInfo
	cp vecview vecview.app/Contents/MacOS

vecview.dmg: vecview vecview.app/Contents/PkgInfo
	@rm -f vecview.dmg
	hdiutil create -fs HFS+ -volname vecview -srcfolder vecview.app vecview.dmg

# thresholdcalculator executable
vbtcalc: $(TCALC_OBJECTS) $(VBLIBS)
	$(CXX) -o vbtcalc $(TCALC_OBJECTS) $(LIBS)

vbtcalc.app: vbtcalc
	mkdir -p vbtcalc.app/Contents/MacOS
	echo "APPL????" > vbtcalc.app/Contents/PkgInfo
	cp vbtcalc vbtcalc.app/Contents/MacOS

vbtcalc.dmg: vbtcalc vbtcalc.app/Contents/PkgInfo
	@rm -f vbtcalc.dmg
	hdiutil create -fs HFS+ -volname vbtcalc -srcfolder vbtcalc.app vbtcalc.dmg

# vbpermgen executable
vbpermgen: $(PERMGEN_OBJECTS) $(PERM_EX)
	$(CXX) -o vbpermgen $(PERMGEN_OBJECTS) $(PERM_EX) $(LIBS)

vbpermgen.app: vbpermgen
	mkdir -p vbpermgen.app/Contents/MacOS
	echo "APPL????" > vbpermgen.app/Contents/PkgInfo
	cp vbpermgen vbpermgen.app/Contents/MacOS

vbpermgen.dmg: vbpermgen vbpermgen.app/Contents/PkgInfo
	@rm -f vbpermgen.dmg
	hdiutil create -fs HFS+ -volname vbpermgen -srcfolder vbpermgen.app vbpermgen.dmg

# DEPENDENCIES ELSEWHERE

$(GDW_EX) $(PERM_EX):
	+make -C $(@D) $(@F)

# the local objects
glm_main.o: glm_main.cpp glm.h
	$(CXX) -c $(CXXFLAGS) glm_main.cpp

gdw_main.o: gdw_main.cpp gdw.h
	$(CXX) -c $(CXXFLAGS) gdw_main.cpp

glm.o: glm.cpp glm.h gdw.h
	$(CXX) -c $(CXXFLAGS) glm.cpp

moc_glm.o: moc_glm.cpp glm.h 
	$(CXX) -c $(CXXFLAGS) moc_glm.cpp

moc_glm.cpp: $(MOC) glm.h
	$(MOC) glm.h -o moc_glm.cpp

gdw.o: gdw.cpp gdw.h ../vbwidgets/plotscreen.h gheaderinfo.h block.h paired.h
	$(CXX) -c $(CXXFLAGS) gdw.cpp

moc_gdw.o: moc_gdw.cpp gdw.h
	$(CXX) -c $(CXXFLAGS) moc_gdw.cpp

moc_gdw.cpp: $(MOC) gdw.h
	$(MOC) gdw.h -o moc_gdw.cpp

block.o: block.cpp block.h
	$(CXX) -c $(CXXFLAGS) block.cpp

moc_block.o: moc_block.cpp block.h
	$(CXX) -c $(CXXFLAGS) moc_block.cpp

moc_block.cpp: $(MOC) block.h
	$(MOC) block.h -o moc_block.cpp

paired.o: paired.cpp paired.h
	$(CXX) -c $(CXXFLAGS) paired.cpp

moc_paired.o: moc_paired.cpp paired.h
	$(CXX) -c $(CXXFLAGS) moc_paired.cpp

moc_paired.cpp: $(MOC) paired.h
	$(MOC) paired.h -o moc_paired.cpp

glm_tab3.o: glm_tab3.cpp glm_tab3.h
	$(CXX) -c $(CXXFLAGS) glm_tab3.cpp

moc_glm_tab3.o: moc_glm_tab3.cpp glm_tab3.h
	$(CXX) -c $(CXXFLAGS) moc_glm_tab3.cpp

moc_glm_tab3.cpp: $(MOC) glm_tab3.h
	$(MOC) glm_tab3.h -o moc_glm_tab3.cpp

gheaderinfo.o: gheaderinfo.cpp gheaderinfo.h
	$(CXX) -c $(CXXFLAGS) gheaderinfo.cpp

vecview.o: vecview.cpp vecview.h ../vbwidgets/plotscreen.h 
	$(CXX) -c $(CXXFLAGS) vecview.cpp

moc_vecview.o: moc_vecview.cpp vecview.h
	$(CXX) -c $(CXXFLAGS) moc_vecview.cpp	

moc_vecview.cpp: $(MOC) vecview.h vecview.cpp 
	$(MOC) vecview.h -o moc_vecview.cpp

tcalc.o: tcalc.cpp tcalc.h
	$(CXX) -c $(CXXFLAGS) tcalc.cpp

tcalcmain.o: tcalcmain.cpp
	$(CXX) -c $(CXXFLAGS) tcalcmain.cpp

moc_tcalc.o: moc_tcalc.cpp tcalc.h
	$(CXX) -c $(CXXFLAGS) moc_tcalc.cpp

moc_tcalc.cpp: $(MOC) tcalc.h
	$(MOC) tcalc.h -o moc_tcalc.cpp

permgen.o: permgen.cpp permgen.h
	$(CXX) -c $(CXXFLAGS) permgen.cpp

permgenmain.o: permgenmain.cpp
	$(CXX) -c $(CXXFLAGS) permgenmain.cpp

moc_permgen.o: moc_permgen.cpp permgen.h
	$(CXX) -c $(CXXFLAGS) moc_permgen.cpp

moc_permgen.cpp: $(MOC) permgen.h
	$(MOC) permgen.h -o moc_permgen.cpp

=== qtvlsm/Makefile ===

# Makefile for vbvlsm(?)

-include ../make_vars.txt
include ../make_stuff.txt

CXXFLAGS += -DQT3_SUPPORT $(QTINCDIRS)

PERMUTATION_OBJECTS=../stand_alone/perm.o ../stand_alone/utils.o ../stand_alone/time_series_avg.o ../stand_alone/koshutil.o
OBJECTS=vbvlsm.o rsrc.o $(PERMUTATION_OBJECTS)
LIBS = $(LDFLAGS) $(LIBDIRS) $(QTLIBDIRS) $(QTLIBS) -Xlinker -lvbprefs -lvbglm -lvbio -lvbutil -lz $(DLLIB) -lgsl -lgslcblas

ALLBINS=vbvlsm
ifeq ($(VB_TARGET),all)
	BINS=$(ALLBINS)
else
	BINS=
endif

ifdef VB_NOX
  BINS=
endif

all: $(BINS)

install:
ifdef BINS
	cp -Pf $(BINS) $(VB_BINDIR)
else
	@echo "Nothing to install."
endif

clean:
	rm -f $(CLEANME) $(ALLBINS)

$(VBLIBS):
	+make -C ../lib $@

# executables

test: test.o
	$(CXX) -o test test.o $(LIBS)

vbvlsm: $(OBJECTS)
	$(CXX) $(CXXFLAGS) -o vbvlsm $(OBJECTS) $(LIBS)

# the objects

rsrc.o : rsrc.qrc
	$(RCC) rsrc.qrc -o rsrc.cpp
	$(CXX) -c rsrc.cpp $(CXXFLAGS)

vbvlsm.o: vbvlsm.cpp
	$(MOC) vbvlsm.cpp -o vbvlsm.moc.h
	$(CXX) -c vbvlsm.cpp $(CXXFLAGS)

# custom qt widgets

vbqt_canvas.o: vbqt_canvas.moc.h vbqt_canvas.cpp
	$(CXX) -c vbqt_canvas.cpp $(CXXFLAGS)

# mocs

vbqt_canvas.moc.h: vbqt_canvas.h
	$(MOC) vbqt_canvas.h -o vbqt_canvas.moc.h

=== scheduler/Makefile ===

# Makefile for voxbo scheduler and related executables

-include ../make_vars.txt
include ../make_stuff.txt

LIBS=$(LDFLAGS) $(LIBDIRS) -lvbprefs -lvbutil -lz
XXOUT=vbsingle vbsubmit
ALLBINS=voxbo vbsrvd voxq vbq vq vbconf idlfree vblock vbprefs

ifeq ($(VB_TARGET),all)
	BINS=$(ALLBINS)
else
	BINS=
endif

all: $(BINS)

install: $(BINS)
ifdef BINS
	cp -Pf $(BINS) $(VB_BINDIR)
else
	@echo "Nothing to install."
endif

clean:
	rm -f $(CLEANME) $(ALLBINS)

$(VBLIBS):
	+make -C ../lib $@

# here are all the executables

voxbo: voxbo.o schedlib.o $(VBLIBS)
	$(CXX) $(CXXFLAGS) -o voxbo voxbo.o schedlib.o $(LIBS)

vbsrvd: vbsrvd.o $(VBLIBS)
	$(CXX) $(CXXFLAGS) -o vbsrvd vbsrvd.o $(LIBS)

vbprefs: vbprefsutil.cpp $(VBLIBS)
	$(CXX) $(CXXFLAGS) -o vbprefs vbprefsutil.cpp $(LIBS)

vbsingle: vbsingle.o voxbo.o $(VBLIBS)
	$(CXX) $(CXXFLAGS) -o vbsingle vbsingle.o voxbo.o -lreadline -lcurses $(LIBS)

vbsubmit: vbsubmit.o $(VBLIBS)
	$(CXX) $(CXXFLAGS) -o vbsubmit vbsubmit.o $(LIBS)

vbsubmit_private: vbsubmit_private.o $(VBLIBS)
	$(CXX) $(CXXFLAGS) -o vbsubmit_private vbsubmit_private.o $(LIBS)

voxq: voxq.o $(VBLIBS)
	$(CXX) $(CXXFLAGS) -o voxq voxq.o $(LIBS)

vbq: voxq
	ln -sf ./voxq vbq

vq: voxq
	ln -sf ./voxq vq

idlfree: idlfree.o $(VBLIBS)
	$(CXX) $(CXXFLAGS) -o idlfree idlfree.o $(LIBS)

vblock: vblock.cpp $(VBLIBS)
	$(CXX) $(CXXFLAGS) -o vblock vblock.cpp $(CXXFLAGS) $(LIBS)

vbconf: vbconf.cpp $(VBLIBS)
	$(CXX) $(CXXFLAGS) -o vbconf vbconf.cpp $(LIBS)

# and now for the building blocks

vbsrvd.o: vbsrvd.cpp
	$(CXX) $(CXXFLAGS) -c -o vbsrvd.o vbsrvd.cpp

vbsubmit.o: vbsubmit.cpp
	$(CXX) $(CXXFLAGS) -c -o vbsubmit.o vbsubmit.cpp

vbsubmit_private.o: vbsubmit_private.cpp
	$(CXX) $(CXXFLAGS) -c -o vbsubmit_private.o vbsubmit_private.cpp

vbsingle.o: vbsingle.cpp
	$(CXX) $(CXXFLAGS) -c -o vbsingle.o vbsingle.cpp

voxq.o: voxq.cpp
	$(VBRC) voxq.hlp.h -help1 voxq1.hlp -help2 voxq2.hlp
	$(CXX) $(CXXFLAGS) -c -o voxq.o voxq.cpp

voxbo.o: voxbo.cpp
	$(CXX) $(CXXFLAGS) -c -o voxbo.o voxbo.cpp

schedlib.o: schedlib.cpp
	$(CXX) $(CXXFLAGS) -c -o schedlib.o schedlib.cpp

processvbx.o: processvbx.cpp
	$(CXX) $(CXXFLAGS) -c -o processvbx.o processvbx.cpp

idlfree.o: idlfree.cpp
	$(CXX) $(CXXFLAGS) -c -o idlfree.o idlfree.cpp

=== scripts/Makefile ===

# Makefile for shell scripts and other simple things

-include ../make_vars.txt
include ../make_stuff.txt

SHSCRIPTS=newprep.sh oldprep.sh minprep.sh makevlsm.sh vbinstall.sh
SHSCRIPTS+=spm8_coreg.sh spm8_realign.sh spm8_segment.sh spm8_warp.sh spm8_reslice.sh
BINSCRIPTS := $(basename $(SHSCRIPTS))

.PHONY: default install

default: $(BINSCRIPTS)

# turn the .sh files into unsuffixed executables

$(BINSCRIPTS): % : %.sh
	cp $< $@

install:
	cp -fa $(BINSCRIPTS) $(VB_BINDIR)

clean:
	rm -f $(CLEANME) $(BINSCRIPTS)

=== stand_alone/Makefile ===

# Makefile for stand-alone stuff

-include ../make_vars.txt
include ../make_stuff.txt

VBLIBS=$(VBLIBS2)

VBTHRESH_OBJECTS=vbthresh.o utils.o koshutil.o
CALCGSPS_OBJECTS=calc_gs_ps.o timeseries.o utils.o koshutil.o
SLICE_ACQ_OBJECTS=utils.o koshutil.o
TESPLIT_OBJECTS=utils.o koshutil.o
TESJOIN_OBJECTS=$(TESPLIT_OBJECTS)
REGRESSION_OBJECTS=regression.o utils.o koshutil.o
PERMUTATION_OBJECTS=perm.o utils.o time_series_avg.o koshutil.o

LIBS=$(LDFLAGS) $(LIBDIRS) -lvbglm -lvbprefs -lvbio -lvbutil -lz -lpng $(GSL_LIBS) $(DLLIB)

ALLBINS= vbthresh calcgs calcps sliceacq tesplit tesjoin makematkg makematk\
		comptraces permstep vbregress vbpermmat
OUT=tesregstart tesregfinish tesregstep assembleps vecregress permstart vbvolregress

ifeq ($(VB_TARGET),all)
	BINS=$(ALLBINS)
else ifeq ($(VB_TARGET),spm)
	BINS=$(ALLBINS)
else
	BINS=vbpermmat
endif

# the main targets

all: $(BINS)

install: $(BINS)
ifdef BINS
	cp -Pf $(BINS) $(VB_BINDIR)
else
	@echo "Nothing to install."
endif

clean:
	rm -f $(CLEANME) $(ALLBINS)

$(VBLIBS):
	+make -C ../lib $@

# THE SHARED OBJECT
X_LD_FLAGS= -shared --warn-once  -Xlinker -noinhibit-exec
LIB_VOXBO=../lib
ifndef $(IDL_DIR)
  IDL_DIR=/usr/local/rsi/idl/
endif
IDL_VERSION_MAJOR=$(shell grep IDL_VERSION_MAJOR $(IDL_DIR)/external/export.h | cut -d" " -f3)
IDL_VERSION_MINOR=$(shell grep IDL_VERSION_MINOR $(IDL_DIR)/external/export.h | cut -d" " -f3)
INCLUDES= -I./ -I ../lib -I $(IDL_DIR)/external
INCLUDE_FILES= $(LIB_VOXBO)/genericexcep.h $(LIB_VOXBO)/stringtokenizer.h $(LIB_VOXBO)/vbutil.h vb_common_incs.h time_series_avg.h

$(LIB_VOXBO)/vbutil.o: $(LIB_VOXBO)/vbutil.cpp $(LIB_VOXBO)/vbutil.h
	$(CXX) $(CXXFLAGS) -o $(@) $(LIB_VOXBO)/$(@F:.o=.cpp) $(INCLUDES)
$(LIB_VOXBO)/stringtokenizer.o: $(LIB_VOXBO)/stringtokenizer.cpp $(LIB_VOXBO)/stringtokenizer.h $(LIB_VOXBO)/genericexcep.h
	$(CXX) $(CXXFLAGS) -o $(@) $(LIB_VOXBO)/$(@F:.o=.cpp) $(INCLUDES)
$(LIB_VOXBO)/genericexcep.o: $(LIB_VOXBO)/genericexcep.cpp $(LIB_VOXBO)/genericexcep.h
	$(CXX) $(CXXFLAGS) -o $(@) $(LIB_VOXBO)/$(@F:.o=.cpp) $(INCLUDES)

# THE EXECUTABLES

vbthresh: $(VBTHRESH_OBJECTS)
	$(CXX) -o vbthresh $(VBTHRESH_OBJECTS)  $(CXXFLAGS) $(LIBS)

calcgs: $(CALCGSPS_OBJECTS) calcgs.cpp
	$(CXX) -o $(@) $(@).cpp $(CALCGSPS_OBJECTS) $(CXXFLAGS) $(LIBS)

calcps: $(CALCGSPS_OBJECTS) calcps.cpp
	$(CXX) -o $(@) $(@).cpp $(CALCGSPS_OBJECTS) $(CXXFLAGS) $(LIBS)

sliceacq: $(SLICE_ACQ_OBJECTS) sliceacq.cpp
	$(CXX) -o $(@) $(@).cpp $(SLICE_ACQ_OBJECTS) $(CXXFLAGS) $(LIBS)

tesplit: $(TESPLIT_OBJECTS) tesplit.cpp
	$(CXX) -o $(@) $(@).cpp $(TESPLIT_OBJECTS) $(CXXFLAGS) $(LIBS)

tesjoin: $(TESJOIN_OBJECTS) tesjoin.cpp
	$(CXX) -o $(@) $(@).cpp $(TESJOIN_OBJECTS) $(CXXFLAGS) $(LIBS)

tesregstep: $(REGRESSION_OBJECTS) tesregstep.cpp
	$(CXX) -o $(@) $(@).cpp $(REGRESSION_OBJECTS) $(CXXFLAGS) $(LIBS)

tesregstart: $(REGRESSION_OBJECTS) tesregstart.cpp
	$(CXX) -o $(@) $(@).cpp $(REGRESSION_OBJECTS) $(CXXFLAGS) $(LIBS)

tesregfinish: $(REGRESSION_OBJECTS) tesregfinish.cpp
	$(CXX) -o $(@) $(@).cpp $(REGRESSION_OBJECTS) $(CXXFLAGS) $(LIBS)

vecregress: $(REGRESSION_OBJECTS) vecregress.cpp
	$(CXX) -o $(@) $(@).cpp $(REGRESSION_OBJECTS) $(CXXFLAGS) $(LIBS)

makematkg: $(REGRESSION_OBJECTS) makematkg.cpp
	$(CXX) -o $(@) $(@).cpp $(REGRESSION_OBJECTS) $(CXXFLAGS) $(LIBS)

makematk: $(REGRESSION_OBJECTS) makematk.cpp
	$(CXX) -o $(@) $(@).cpp $(REGRESSION_OBJECTS) $(CXXFLAGS) $(LIBS)

assembleps: $(REGRESSION_OBJECTS) assembleps.cpp
	$(CXX) -o $(@) $(@).cpp $(REGRESSION_OBJECTS) $(CXXFLAGS) $(LIBS)

comptraces: $(REGRESSION_OBJECTS) comptraces.cpp
	$(CXX) -o $(@) $(@).cpp $(REGRESSION_OBJECTS) $(CXXFLAGS) $(LIBS)

permstart: $(PERMUTATION_OBJECTS) permstart.cpp
	$(CXX) -o $(@) $(@).cpp $(PERMUTATION_OBJECTS) $(CXXFLAGS) $(LIBS)

permstep: $(PERMUTATION_OBJECTS) permstep.cpp
	$(CXX) -o $(@) $(@).cpp $(PERMUTATION_OBJECTS) $(CXXFLAGS) $(LIBS)

vbpermmat: $(PERMUTATION_OBJECTS) vbpermmat.cpp
	$(CXX) -o $(@) $(@).cpp $(PERMUTATION_OBJECTS) $(CXXFLAGS) $(LIBS)

vbregress: vbregress.o $(VBLIBS)
	$(CXX) -o vbregress vbregress.o $(CXXFLAGS) $(LIBS)

# THE TOPLEVEL OBJECTS

koshutil.o: koshutil.cpp koshutil.h
	$(CXX) -c  koshutil.cpp $(CXXFLAGS)

utils.o: utils.cpp utils.h
	$(CXX) -c  utils.cpp $(CXXFLAGS)

vbthresh.o: vbthresh.cpp vbthresh.h $(VBLIBS)
	$(CXX) -c  vbthresh.cpp $(CXXFLAGS)

calc_gs_ps.o: calc_gs_ps.cpp calc_gs_ps.h $(VBLIBS)
	$(CXX) -c  calc_gs_ps.cpp $(CXXFLAGS)

timeseries.o: timeseries.cpp timeseries.h
	$(CXX) -c timeseries.cpp $(CXXFLAGS)

regression.o: regression.cpp regression.h
	$(CXX) -c regression.cpp $(CXXFLAGS)

vbregress.o: vbregress.cpp
	$(CXX) -c vbregress.cpp $(CXXFLAGS)

time_series_avg.o: time_series_avg.cpp time_series_avg.h
	$(CXX) -c time_series_avg.cpp $(CXXFLAGS)

perm.o: perm.cpp perm.h
	$(CXX) -c perm.cpp $(CXXFLAGS)

=== debian/changelog ===
voxbo (1.8.5~svn1172-1) unstable; urgency=low

  * Initial Debian packaging based on debhelper's "dh" and using the new source
    package format 3.0 (quilt). Closes: #579284.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 06 Jun 2010 11:33:11 -0400

=== debian/control ===
Source: voxbo
Priority: extra
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <michael.hanke@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7.0.50~), python, zlib1g-dev, libboost-dev, libboost-thread-dev, libgsl0-dev, libpng12-dev | libpng-dev, libqt4-dev, libxi-dev, libxrender-dev, libfontconfig1-dev | libfontconfig-dev
Standards-Version: 3.8.4
Section: science
Homepage: http://www.voxbo.org
XS-DM-Upload-Allowed: yes
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/voxbo.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/voxbo.git

Package: voxbo
Section: science
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mni-colin27-nifti
Description: processing, statistical analysis, and display of brain imaging data
 This is a toolkit for analysis of functional neuroimaging (chiefly
 fMRI) experiments and voxel-based lesion-behavior mapping. VoxBo
 supports the modified GLM (for autocorrelated data), as well as the
 standard GLM for non-autocorrelated data. The toolkit is designed to be
 interoperable with AFNI, FSL, SPM and others.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export CXXFLAGS += -Wall
export LDFLAGS += -Wl,--no-undefined -Wl,-rpath=/usr/lib/voxbo/lib

# one ring to rule them all ...
%:
	dh $@

override_dh_auto_configure:
	./configure.py -s -p neurodebian

override_dh_auto_build:
	$(MAKE) QTDIR=/usr \
			QTBASEINCDIR=/usr/include/qt4 \
			MOC=/usr/bin/moc-qt4 \
			VB_SHARED=1

override_dh_auto_install:
	$(MAKE) install VB_PREFIX=$(CURDIR)/debian/voxbo/usr/lib/voxbo
	install -d $(CURDIR)/debian/voxbo/usr/lib/voxbo/lib
	install -t $(CURDIR)/debian/voxbo/usr/lib/voxbo/lib $(shell find . -name '*.so')
	# cleanup
	-rm $(CURDIR)/debian/voxbo/usr/lib/voxbo/bin/vbinstall
	# no Matlab stuff
	-rm $(CURDIR)/debian/voxbo/usr/lib/voxbo/bin/spm8*

override_dh_clean:
	$(MAKE) distclean
	dh_clean

override_dh_shlibdeps:
	dh_shlibdeps -l $(CURDIR)/debian/voxbo/usr/lib/voxbo/lib

override_dh_install:
	dh_install
	# remove obsolete license file (voxbo doesn't ship this template) but it
	# comes from the mni-colin27-nifti package
	-rm debian/voxbo/usr/lib/voxbo/elements/templates/ch2_license.txt

## voxbo 1.8.5~svn1241

=== lib/Makefile ===
--- 
+++ 
@@ -6,19 +6,18 @@
 
 CXXFLAGS+=$(PICFLAG)
 
-LIBS =$(LIBDIRS) $(LIBPATHS) -lm -lvbprefs -lvbio -lvbutil -lz $(DLLIB) $(GSL_LIBS)
-IOOBJECTS=vbio.o tes.o cube.o imageutils.o mat.o vec.o png.o vb_vector.o\
-          filecheck.o vbpreplib.o
+LIBS =$(LIBDIRS) $(LIBPATHS) -lm -lvbglm -lvbprefs -lvbio -lvbutil -lz $(DLLIB) $(GSL_LIBS)
+IOOBJECTS=vbio.o tes.o cube.o imageutils.o mat.o png.o vb_vector.o\
+          vbpreplib.o
 FFOBJECTS=vbff.o ff_cub.o ff_tes.o ff_ref.o ff_dicom3d.o ff_dicom4d.o dicom.o\
           ff_img3d.o ff_img4d.o ff_imgdir.o\
           ff_nifti3d.o ff_nifti4d.o nifti.o\
-          ff_roi.o analyze.o ff_ge.o ff_vmp3d.o
-UTILOBJECTS=vbutil.o endian.o connect.o tokenlist.o vbreports.o stringtokenizer.o\
-            genericexcep.o
+          ff_roi.o analyze.o ff_ge.o ff_vmp3d.o ff_mat.o
+UTILOBJECTS=vbutil.o endian.o connect.o tokenlist.o vbreports.o genericexcep.o
 SCRIPTOBJECTS=vbscripttools.o vbsequence.o vbdataset.o vbexecdef.o
 VBPOBJECTS=vbjobspec.o vbprefs.o vbhost.o vbx.o
 GLMOBJECTS=makestatcub.o glmutil.o glm_stats.o statthreshold.o regress1.o trialavg.o stats.o
-DBOBJECTS=db_util.o dbdata.o myDB.o mydefs.o dbdate.o bdb_tab.o
+DBOBJECTS=db_util.o dbdata.o mydb.o mydefs.o dbdate.o bdb_tab.o
 
 ifdef VB_SHARED
   EXT=so
@@ -78,15 +77,16 @@
 	ar rc libvbscripts.a $^
 	ranlib libvbscripts.a
 
-libvbscripts.so: $(SCRIPTOBJECTS)
-	g++ -shared -Wl,-soname,$@ -o $@ $(LDFLAGS) -lc $^
+libvbscripts.so: $(SCRIPTOBJECTS) libvbprefs.so libvbutil.so
+	g++ -shared -Wl,-soname,$@ -o $@ $(LDFLAGS) -L. -lc -lvbprefs -lvbutil $^
 
 libvbglm.a: $(GLMOBJECTS)
 	ar rc libvbglm.a $^
 	ranlib libvbglm.a
 
-libvbglm.so: $(GLMOBJECTS) libvbio.so libvbutil.so
-	g++ -shared -Wl,-soname,$@ -o $@ $(LDFLAGS) -L. -lc -lgsl -lvbio -lvbutil $^
+libvbglm.so: $(GLMOBJECTS) libvbio.so libvbutil.so libvbprefs.so
+#	g++ -shared -Wl,-soname,$@ -o $@ $(LDFLAGS) -L. -lc -lgsl -lvbio -lvbutil -lvbscripts -lvbprefs $^
+	g++ -shared -Wl,-soname,$@ -o $@ $(LDFLAGS) -L. -lc -lgsl -lvbio -lvbutil -lvbprefs $^
 
 libdbutil.a: $(DBOBJECTS)
 	ar rc libdbutil.a $^
@@ -115,8 +115,8 @@
 tokenlist.o: tokenlist.cpp tokenlist.h
 	$(CXX) $(CXXFLAGS) -c tokenlist.cpp
 
-stringtokenizer.o: stringtokenizer.cpp stringtokenizer.h
-	$(CXX) $(CXXFLAGS) -c stringtokenizer.cpp
+# stringtokenizer.o: stringtokenizer.cpp stringtokenizer.h
+# 	$(CXX) $(CXXFLAGS) -c stringtokenizer.cpp
 
 genericexcep.o: genericexcep.cpp genericexcep.h
 	$(CXX) $(CXXFLAGS) -c genericexcep.cpp
@@ -174,6 +174,9 @@
 ff_cub.o: ff_cub.cpp
 	$(CXX) $(CXXFLAGS) -c ff_cub.cpp
 
+ff_mat.o: ff_mat.cpp
+	$(CXX) $(CXXFLAGS) -c ff_mat.cpp
+
 ff_tes.o: ff_tes.cpp
 	$(CXX) $(CXXFLAGS) -c ff_tes.cpp
 
@@ -212,8 +215,8 @@
 
 # db stuff
 
-myDB.o: myDB.h myDB.cpp
-	$(CXX) $(CXXFLAGS) -c myDB.cpp
+mydb.o: mydb.h mydb.cpp
+	$(CXX) $(CXXFLAGS) -c mydb.cpp
 
 dbdate.o: dbdate.h dbdate.cpp
 	$(CXX) $(CXXFLAGS) -c dbdate.cpp
@@ -238,4 +241,4 @@
 # test program
 
 test:	libvbio.a test.cpp libvbprefs.a libvbglm.a libdbutil.a
-	$(CXX) $(CXXFLAGS) -o test test.cpp $(LIBS)
+	$(CXX) $(CXXFLAGS) -o test test.cpp -fopenmp $(LIBS)

=== debian/changelog ===
voxbo (1.8.5~svn1241-1~nd+1) sid; urgency=low

  * Backported for sid.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 19 Jan 2011 17:30:46 -0500

voxbo (1.8.5~svn1241-1) unstable; urgency=low

  * New upstream code with a number of new manpages.
  * Merged Debian manpage of vbview2 with upstream version (patch submitted).

 -- Michael Hanke <mih@debian.org>  Wed, 19 Jan 2011 14:22:42 -0500

voxbo (1.8.5~svn1222-1) unstable; urgency=low

  * New upstream code.
  * Changed uploader email to mih@debian.org.
  * Add 'get-orig-source' target to debian/rules.
  * Bumped standards-version to 3.9.1, no changes necessary.
  * Install SPM8-related scripts and add matlab-spm8 to suggested packages.

 -- Michael Hanke <mih@debian.org>  Mon, 13 Dec 2010 09:40:31 -0500
